package com.ttstd.dialer.bean;

import androidx.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.JsonParser;
import com.opencsv.bean.CsvBindByName;

import java.io.Serializable;

public class CityInfo implements Serializable {
    @CsvBindByName(column = "Location_ID")
    String Location_ID;
    @CsvBindByName(column = "Location_Name_EN")
    String Location_Name_EN;
    @CsvBindByName(column = "Location_Name_ZH")
    String Location_Name_ZH;
    @CsvBindByName(column = "ISO_3166_1")
    String ISO_3166_1;
    @CsvBindByName(column = "Country_Region_EN")
    String Country_Region_EN;
    @CsvBindByName(column = "Country_Region_ZH")
    String Country_Region_ZH;
    @CsvBindByName(column = "Adm1_Name_EN")
    String Adm1_Name_EN;
    @CsvBindByName(column = "Adm1_Name_ZH")
    String Adm1_Name_ZH;
    @CsvBindByName(column = "Adm2_Name_EN")
    String Adm2_Name_EN;
    @CsvBindByName(column = "Adm2_Name_ZH")
    String Adm2_Name_ZH;
    @CsvBindByName(column = "Timezone")
    String Timezone;
    @CsvBindByName(column = "Latitude")
    String Latitude;
    @CsvBindByName(column = "Longitude")
    String Longitude;
    @CsvBindByName(column = "AD_code")
    String AD_code;

    public String getLocation_ID() {
        return Location_ID;
    }

    public void setLocation_ID(String location_ID) {
        Location_ID = location_ID;
    }

    public String getLocation_Name_EN() {
        return Location_Name_EN;
    }

    public void setLocation_Name_EN(String location_Name_EN) {
        Location_Name_EN = location_Name_EN;
    }

    public String getLocation_Name_ZH() {
        return Location_Name_ZH;
    }

    public void setLocation_Name_ZH(String location_Name_ZH) {
        Location_Name_ZH = location_Name_ZH;
    }

    public String getISO_3166_1() {
        return ISO_3166_1;
    }

    public void setISO_3166_1(String ISO_3166_1) {
        this.ISO_3166_1 = ISO_3166_1;
    }

    public String getCountry_Region_EN() {
        return Country_Region_EN;
    }

    public void setCountry_Region_EN(String country_Region_EN) {
        Country_Region_EN = country_Region_EN;
    }

    public String getCountry_Region_ZH() {
        return Country_Region_ZH;
    }

    public void setCountry_Region_ZH(String country_Region_ZH) {
        Country_Region_ZH = country_Region_ZH;
    }

    public String getAdm1_Name_EN() {
        return Adm1_Name_EN;
    }

    public void setAdm1_Name_EN(String adm1_Name_EN) {
        Adm1_Name_EN = adm1_Name_EN;
    }

    public String getAdm1_Name_ZH() {
        return Adm1_Name_ZH;
    }

    public void setAdm1_Name_ZH(String adm1_Name_ZH) {
        Adm1_Name_ZH = adm1_Name_ZH;
    }

    public String getAdm2_Name_EN() {
        return Adm2_Name_EN;
    }

    public void setAdm2_Name_EN(String adm2_Name_EN) {
        Adm2_Name_EN = adm2_Name_EN;
    }

    public String getAdm2_Name_ZH() {
        return Adm2_Name_ZH;
    }

    public void setAdm2_Name_ZH(String adm2_Name_ZH) {
        Adm2_Name_ZH = adm2_Name_ZH;
    }

    public String getTimezone() {
        return Timezone;
    }

    public void setTimezone(String timezone) {
        Timezone = timezone;
    }

    public String getLatitude() {
        return Latitude;
    }

    public void setLatitude(String latitude) {
        Latitude = latitude;
    }

    public String getLongitude() {
        return Longitude;
    }

    public void setLongitude(String longitude) {
        Longitude = longitude;
    }

    public String getAD_code() {
        return AD_code;
    }

    public void setAD_code(String AD_code) {
        this.AD_code = AD_code;
    }

    @NonNull
    @Override
    public String toString() {
        return JsonParser.parseString(new Gson().toJson(this)).getAsJsonObject().toString();
    }
}
